# Get prefetch task status - DescribeNewUcdnPrefetchCacheTask

## Overview

Get prefetch task status






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeNewUcdnPrefetchCacheTask`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **TaskId.N** | string | The task ID returned when submitting a task |No|
| **BeginTime** | int | The start time of the query, in Unix Timestamp format. If there is an EndTime, BeginTime must be assigned. |No|
| **EndTime** | int | The end time of the query, in Unix Timestamp format. EndTime defaults to the current time, and BeginTime defaults to the time one day before the current time. |No|
| **Status** | string | The status of the content that needs to be preheated, enumeration values: success: success; wait: waiting for processing; process: processing; failure: failure; unknow: unknown, select all statuses by default. |No|
| **Offset** | int | Data offset, default is 0, natural number |No|
| **Limit** | int | Return data length, default is all, natural number |No|
| **IsDcdn** | boolean | Whether to accelerate the whole site by default false |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total number of preheating tasks |No|
| **TaskList** | array[[*TaskInfo*](#taskinfo)] | Preheating task information, refer to TaskInfo |No|

#### Data Model


#### TaskInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **TaskId** | string | The task ID returned when submitting a task |No|
| **UrlLists** | array[[*UrlProgressInfo*](#urlprogressinfo)] | Information list of task url, refer to UrlProgressInfo |No|
| **CreateTime** | int | The time the refresh task was created. The format is Unix Timestamp. |No|
| **Status** | string | Refresh the current status of the task, enumeration values: success: Success; wait: Queuing; process: Processing; failure: Failure; unknow: Unknown |No|

#### UrlProgressInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Url** | string | Single URL to refresh |No|
| **CreateTime** | int | The time the refresh task was created. The format is Unix Timestamp. |No|
| **FinishTime** | int | Task completion time. Format is Unix Timestamp. |No|
| **Status** | string | Refresh the current status of the task, enumeration values: success: Success; wait: Queuing; process: Processing; failure: Failure; unknow: Unknown |No|
| **Progress** | int | Refresh progress, unit % |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeNewUcdnPrefetchCacheTask
&ProjectId=xxxxx
&TaskId.0=feTvWytY
&BeginTime=2
&EndTime=3
&Status=uwNWouHX
&Offset=1
&Limit=1
&IsDcdn=false
```

### Response Example
    
```json
{
  "Action": "DescribeNewUcdnPrefetchCacheTaskResponse",
  "RetCode": 0,
  "TaskList": [
    {
      "CreateTime": 4,
      "Status": "ySoPLGgE",
      "TaskId": "mEuMcQSL",
      "UrlLists": [
        {
          "CreateTime": 6,
          "FinishTime": 1,
          "Progress": 3,
          "Status": "pmUWBVxw",
          "Url": "xChNHhYo"
        },
        {
          "CreateTime": 3,
          "FinishTime": 7,
          "Progress": 7,
          "Status": "xCZMvZWZ",
          "Url": "lKGDMDQq"
        },
        {
          "CreateTime": 6,
          "FinishTime": 9,
          "Progress": 9,
          "Status": "zMxmxYcf",
          "Url": "ptLqMQuh"
        },
        {
          "CreateTime": 4,
          "FinishTime": 1,
          "Progress": 4,
          "Status": "OaxNseKe",
          "Url": "YhpEnOmI"
        },
        {
          "CreateTime": 4,
          "FinishTime": 5,
          "Progress": 4,
          "Status": "etAmHzPP",
          "Url": "PEBgMeNh"
        }
      ]
    },
    {
      "CreateTime": 1,
      "Status": "JKrNCisb",
      "TaskId": "mYtrUNKc",
      "UrlLists": [
        {
          "CreateTime": 3,
          "FinishTime": 2,
          "Progress": 6,
          "Status": "XynKYAiJ",
          "Url": "XqHsIOtd"
        },
        {
          "CreateTime": 1,
          "FinishTime": 6,
          "Progress": 3,
          "Status": "rCoGJtmC",
          "Url": "EYRxaYAM"
        },
        {
          "CreateTime": 5,
          "FinishTime": 6,
          "Progress": 2,
          "Status": "sFsEYOgd",
          "Url": "ehwfbnDN"
        },
        {
          "CreateTime": 8,
          "FinishTime": 5,
          "Progress": 3,
          "Status": "EwSSKJad",
          "Url": "FxacwAet"
        },
        {
          "CreateTime": 8,
          "FinishTime": 5,
          "Progress": 7,
          "Status": "SkdViYPP",
          "Url": "VRJFzzlH"
        },
        {
          "CreateTime": 5,
          "FinishTime": 3,
          "Progress": 5,
          "Status": "hcAQXhoN",
          "Url": "LwAewYSo"
        },
        {
          "CreateTime": 7,
          "FinishTime": 3,
          "Progress": 2,
          "Status": "AiVaeqAx",
          "Url": "eJpkSqiP"
        }
      ]
    },
    {
      "CreateTime": 7,
      "Status": "dDQVOfuA",
      "TaskId": "ZJazzIIh",
      "UrlLists": [
        {
          "CreateTime": 8,
          "FinishTime": 5,
          "Progress": 2,
          "Status": "okiJCQZU",
          "Url": "qKIoMLtR"
        },
        {
          "CreateTime": 1,
          "FinishTime": 9,
          "Progress": 6,
          "Status": "SXVfOLXG",
          "Url": "fVxMWSUL"
        },
        {
          "CreateTime": 2,
          "FinishTime": 4,
          "Progress": 9,
          "Status": "wOXhjduh",
          "Url": "UtBAuUmZ"
        }
      ]
    },
    {
      "CreateTime": 3,
      "Status": "LeqJkycM",
      "TaskId": "sEiKGYYr",
      "UrlLists": [
        {
          "CreateTime": 6,
          "FinishTime": 8,
          "Progress": 5,
          "Status": "YYcZbXWw",
          "Url": "oEqzcgMA"
        },
        {
          "CreateTime": 1,
          "FinishTime": 6,
          "Progress": 6,
          "Status": "HYZmwEUR",
          "Url": "UKXkiPDK"
        },
        {
          "CreateTime": 2,
          "FinishTime": 2,
          "Progress": 3,
          "Status": "FBCAWBMW",
          "Url": "aGCnxHXv"
        }
      ]
    },
    {
      "CreateTime": 1,
      "Status": "GVWVbBkR",
      "TaskId": "ByScqGMr",
      "UrlLists": [
        {
          "CreateTime": 9,
          "FinishTime": 2,
          "Progress": 4,
          "Status": "iQguQPft",
          "Url": "MmoeVMJQ"
        },
        {
          "CreateTime": 3,
          "FinishTime": 9,
          "Progress": 3,
          "Status": "CPqqNmqO",
          "Url": "YtzBfJQF"
        }
      ]
    },
    {
      "CreateTime": 5,
      "Status": "RPkHZOFJ",
      "TaskId": "sklDNgoJ",
      "UrlLists": [
        {
          "CreateTime": 5,
          "FinishTime": 2,
          "Progress": 8,
          "Status": "hfRtxJYA",
          "Url": "MPKzOnkG"
        },
        {
          "CreateTime": 3,
          "FinishTime": 2,
          "Progress": 8,
          "Status": "NOgImUxr",
          "Url": "NqeqhcDn"
        },
        {
          "CreateTime": 5,
          "FinishTime": 5,
          "Progress": 8,
          "Status": "jadthNuI",
          "Url": "dehdHOoC"
        },
        {
          "CreateTime": 4,
          "FinishTime": 5,
          "Progress": 9,
          "Status": "KCTmUkpl",
          "Url": "UxQiBarm"
        }
      ]
    },
    {
      "CreateTime": 3,
      "Status": "xRRNKppD",
      "TaskId": "YLQhYqyq",
      "UrlLists": [
        {
          "CreateTime": 8,
          "FinishTime": 5,
          "Progress": 3,
          "Status": "qhlDmXYg",
          "Url": "fJbCCejm"
        },
        {
          "CreateTime": 8,
          "FinishTime": 4,
          "Progress": 4,
          "Status": "IViYWdSq",
          "Url": "LkEYimIs"
        },
        {
          "CreateTime": 2,
          "FinishTime": 1,
          "Progress": 7,
          "Status": "uCbnQqLo",
          "Url": "NbtQArje"
        },
        {
          "CreateTime": 7,
          "FinishTime": 7,
          "Progress": 9,
          "Status": "SHEYNyGf",
          "Url": "ylzrmbHW"
        },
        {
          "CreateTime": 3,
          "FinishTime": 9,
          "Progress": 8,
          "Status": "lgCecoFw",
          "Url": "cYVWknQE"
        },
        {
          "CreateTime": 4,
          "FinishTime": 7,
          "Progress": 1,
          "Status": "JhdorWII",
          "Url": "OEykZxWV"
        },
        {
          "CreateTime": 4,
          "FinishTime": 4,
          "Progress": 1,
          "Status": "GlHxqIgx",
          "Url": "RWWfGzMi"
        }
      ]
    }
  ],
  "Test": "ryEuYMgQ",
  "TotalCount": 4
}
```





